1. Authentication
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
        POST
      • Sign-up
        POST
      • Refresh Token
        POST
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
      • All Buildings
      • Construct Building
      • List of Possible Construction
      • Possible Prudctions of a building
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Authentication

Sign-up

Developing
POST
/authentication/sign-up

Request

Body Params application/json

Example
{
    "username": "string",
    "password": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/authentication/sign-up' \
--header 'Content-Type: application/json' \
--data-raw '{
    "username": "string",
    "password": "string"
}'

Responses

🟢201Created
application/json
Body

Example
{}
🟠400Invalid input
Modified at 2024-11-11 07:25:35
Previous
Sign-In
Next
Refresh Token
Built with